Package org.apache.sysds.runtime.compress.io

## Class ReaderCompressed

- java.lang.Object
- - org.apache.sysds.runtime.io.MatrixReader
  - - org.apache.sysds.runtime.compress.io.ReaderCompressed

    public final class ReaderCompressed
    extends MatrixReader

### Constructor Summary

Constructors
`ReaderCompressed()`
`ReaderCompressed​(int k)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReaderCompressed` `create()`
`static MatrixBlock` `readCompressedMatrixFromHDFS​(String fname, long rlen, long clen, int blen)`
`MatrixBlock` `readMatrixFromHDFS​(String fname, long rlen, long clen, int blen, long estnnz)`
`MatrixBlock` `readMatrixFromInputStream​(InputStream is, long rlen, long clen, int blen, long estnnz)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReaderCompressed

    public ReaderCompressed()

#### ReaderCompressed

    public ReaderCompressed​(int k)

### Method Detail

#### create

    public static ReaderCompressed create()

#### readCompressedMatrixFromHDFS

    public static MatrixBlock readCompressedMatrixFromHDFS​(String fname,
                                                           long rlen,
                                                           long clen,
                                                           int blen)
                                                    throws IOException

Throws:
  `IOException`

#### readMatrixFromHDFS

    public MatrixBlock readMatrixFromHDFS​(String fname,
                                          long rlen,
                                          long clen,
                                          int blen,
                                          long estnnz)
                                   throws IOException,
                                          DMLRuntimeException

Specified by:
  `readMatrixFromHDFS` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`

#### readMatrixFromInputStream

    public MatrixBlock readMatrixFromInputStream​(InputStream is,
                                                 long rlen,
                                                 long clen,
                                                 int blen,
                                                 long estnnz)
                                          throws IOException,
                                                 DMLRuntimeException

Specified by:
  `readMatrixFromInputStream` in class `MatrixReader`
Throws:
  `IOException`
  `DMLRuntimeException`